wl_shell_surface_listener Struct Reference
The wl_shell_surface interface

`#include <wayland-client-protocol.h>`

## Data Fields

void(* | ping )(void *data, struct wl_shell_surface *wl_shell_surface, uint32_t serial)
void(* | configure )(void *data, struct wl_shell_surface *wl_shell_surface, uint32_t edges, int32_t width, int32_t height)
void(* | popup_done )(void *data, struct wl_shell_surface *wl_shell_surface)

## Detailed Description

Definition at line 2873 of file wayland-client-protocol.h.

## Field Documentation

## configure

void(* wl_shell_surface_listener::configure) (void *data, struct wl_shell_surface *wl_shell_surface, uint32_t edges, int32_t width, int32_t height)

suggest resize

The configure event asks the client to resize its surface.

The size is a hint, in the sense that the client is free to ignore it if it doesn't resize, pick a smaller size (to satisfy aspect ratio or resize in steps of NxM pixels).

The edges parameter provides a hint about how the surface was resized. The client may use this information to decide how to adjust its content to the new size (e.g. a scrolling area might adjust its content position to leave the viewable content unmoved).

The client is free to dismiss all but the last configure event it received.

The width and height arguments specify the size of the window in surface-local coordinates.

Parameters

  edges | how the surface was resized
  width | new width of the surface
  height | new height of the surface

Definition at line 2908 of file wayland-client-protocol.h.

## ping

void(* wl_shell_surface_listener::ping) (void *data, struct wl_shell_surface *wl_shell_surface, uint32_t serial)

ping client

Ping a client to check if it is receiving events and sending requests. A client is expected to reply with a pong request.

Parameters

  serial | serial number of the ping

Definition at line 2881 of file wayland-client-protocol.h.

## popup_done

void(* wl_shell_surface_listener::popup_done) (void *data, struct wl_shell_surface *wl_shell_surface)

popup interaction is done

The popup_done event is sent out when a popup grab is broken, that is, when the user clicks a surface that doesn't belong to the client owning the popup surface.

Definition at line 2920 of file wayland-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/wayland-client-protocol.h